let ChatGPTAPI = null;

module.exports = function (bot, api) {
    import("chatgpt").then((mod) => {
        ChatGPTAPI = mod.ChatGPTAPI;
    });
    api.registerCommand('chat', async (args, message) => {
        const response = await getChatGPTResponse(message.content.slice(6).trim());
        api.respond(message, response);
    });
}

async function getChatGPTResponse(prompt) {
    const api = new ChatGPTAPI({
        apiKey: process.env.OPENAI_API_KEY,
        completionParams: {
            model: 'gpt-4'
        }
    })

    const res = await api.sendMessage(prompt);
    return res.text;
}